FreeBSD

最近は Linux での開発が多くなったが、FreeBSD はなぜか愛着がある。FreeBSD 上でplone を動かしているのだが sbcl をいれたら jpeg の新旧でひっかかった。plone が使っている jpegが古く sbcl がインストールできない。こういうことがおこったら依存関係を全部調べてすべて最新のものにしていたが、、、今回

make FORCE_PKG_REGISTER=yes install

としてみた。両方入るのね。当たり前?ライブラリはいいけど実行ファイルはこうはいかない、、、
おー付属のバイナリはどうも上書きしない。ライブラリだけ付け足すのか?
当たり前?
まぁ結局"依存関係を全部調べてすべて最新のもの"にするまでの移行期間かな、、、それにしても sbcl はいろんなライブラリを要求するなぁ、、、